/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLBodyElement_H__
#define __GdomHTMLBodyElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLBodyElement GdomHTMLBodyElement;
typedef struct _GdomHTMLBodyElementClass GdomHTMLBodyElementClass;


#define GDOM_TYPE_HTML_BODY_ELEMENT            (gdom_html_body_element_get_type())
#define GDOM_HTML_BODY_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_BODY_ELEMENT, GdomHTMLBodyElement))
#define GDOM_HTML_BODY_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_BODY_ELEMENT, GdomHTMLBodyElement)Class)
#define GDOM_IS_HTML_BODY_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_BODY_ELEMENT))
#define GDOM_IS_HTML_BODY_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_BODY_ELEMENT))
#define GDOM_HTML_BODY_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_BODY_ELEMENT, GdomHTMLBodyElementClass))

typedef struct _GdomHTMLBodyElementPrivate GdomHTMLBodyElementPrivate;

struct _GdomHTMLBodyElement {
    GdomHTMLElement parent_instance;
    GdomHTMLBodyElementPrivate *priv;
};

struct _GdomHTMLBodyElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_body_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLBodyElement_H__ */
